pydo.functions.update_trigger()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.functions.update_trigger(
namespace_id="fn-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
trigger_name="my trigger",
body={
"is_enabled": True,
"scheduled_details": {...},
},
)Description
Updates the details of the given trigger. To update a trigger, send a PUT request to /v2/functions/namespaces/{namespace_id}/triggers/{trigger_name} with new values for the is_enabled or scheduled_details properties.
Parameters
namespace_idstring requiredThe ID of the namespace to be managed.
trigger_namestring requiredThe name of the trigger to be managed.
is_enabledboolean optionalExample:
TrueIndicates weather the trigger is paused or unpaused.
scheduled_detailsobject optionalTrigger details for SCHEDULED type, where body is optional.
Show child properties
cronstring requiredExample:
* * * * *valid cron expression string which is required for SCHEDULED type triggers.
bodyobject or null optionalOptional data to be sent to function while triggering the function.
Show child properties
namestring optionalExample:
Welcome to DO!
Request Sample
Response Example
More Information
See /v2/functions/namespaces/{namespace_id}/triggers/{trigger_name} in the API reference for additional detail on responses, headers, parameters, and more.